# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, CRM Claim MRP Extension
#    Copyright (C) 2014  Enterprise Objects Consulting
#
#    Authors: Mariano Ruiz <mrsarm@gmail.com>
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from openerp.osv import fields, osv
from openerp.addons.crm_claim.crm_claim import crm_claim

class crm_claim_mrp(osv.osv):
    _inherit = 'crm.claim'

    _columns = {
            'repair_ids': fields.one2many('mrp.repair', 'claim_id', 'MRP Repairs'),
        }

    def case_open(self, cr, uid, ids, *args):
        """
        Override ``crm_claim_picking`` implementation to check not only
        if the Claim have attached Pickings, also check if have MRP Repair
        order attached.
        """
        for l in self.browse(cr, uid, ids):
            if l.ref and l.ref._model._name == 'product.product' \
              and self._auto_create_picking_in(cr, uid) and not len(l.picking_ids) \
              and not len(l.repair_ids):
                # Create Claim Picking
                self.create_auto_picking_in(cr, uid, ids)
        res = crm_claim.case_open(self, cr, uid, ids, *args) # Call to super-super
        return res

    def copy(self, cr, uid, _id, default={}, context=None):
        default.update({
                'repair_ids': [],
            })
        return super(crm_claim_mrp, self).copy(cr, uid, _id, default, context)

crm_claim_mrp()
