# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, CRM Picking Extension
#    Copyright (C) 2014  Enterprise Objects Consulting
#
#    Authors: Mariano Ruiz <mrsarm@gmail.com>
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################


{
    "name" : "CRM Picking Extension",
    "version" : "1.2",
    "description": """ 
This module adds:

* A link to CRM Claims in the Stock Pickings.
* If Claim has a Product Reference, Picking IN from partner to
  Repair Location and Picking Return are created automatically (optional).
* For any Product return must have a CRM Claim linked (configurable).

Also you can install optional module extensions:

* ``crm_claim_mrp`` to add MRP support.
* ``crm_claim_serial_number`` to add support to Serial Numbers.
* ``crm_claim_report`` to add Claim PDF report.
* ``crm_claim_simple_ext`` to improve the user experience with CRM Claims views.

Compatible with ``stock_picking_simple_locations`` module.
    """,
    "author": "Enterprise Objects Consulting",
    "website": "http://www.eoconsulting.com.ar",
    "depends": [
            "crm_claim",
            "crm_claim_sequence",
            "stock",
            "stock_repair_location",
        ],
    "category": "Customer Relationship Management",
    "update_xml": [
            "crm_claim_view.xml",
            "partner_view.xml",
            "stock_view.xml",
        ],
    "active": False,
    "installable": True,
}
