# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, CRM Claim Simple Extension
#    Copyright (C) 2014  Enterprise Objects Consulting
#
#    Authors: Mariano Ruiz <mrsarm@gmail.com>
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################


{
    "name" : "CRM Claim Simple Extension",
    "version" : "1.3",
    "description": """ 
This module improves the user experience with CRM Claims views,
simplifying the number of field in the form.

Features:

* Dealine field is the reference date in calendar views (and required),
  and "Actions" fields (like "Next Action Date") are removed from the views.
* Sales Team and Trouble Responsible fields are also removed.
* Adds "Done" state in search filters, and by default all others state
  are enabled.
* User Responsible filter is not pre-filled with signed user by default.
* Priority field is added in list view.
* Sends email notifications when a Claim is created (you must be setup
  a template to active this feature).
* Adds new Action Types: "Replace" and "Discard".
* Action Type, Root Cause and Resolution fields are mandatory to close the order.

Also you can install optional module extensions:

* ``crm_claim_mrp`` to add MRP support.
* ``crm_claim_serial_number`` to add support to Serial Numbers.
* ``crm_claim_report`` to add Claim PDF report.
* ``crm_claim_picking`` to add Stock Pickings support.
""",
    "author": "Enterprise Objects Consulting",
    "website": "http://www.eoconsulting.com.ar",
    "depends": [
            "crm_claim",
        ],
    "category": "Customer Relationship Management",
    "update_xml": [
            "crm_claim_view.xml",
        ],
    "active": False,
    "installable": True,
}
