# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2014 Mariano Ruiz (Enterprise Objects Consulting)
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from openerp.osv import osv
from openerp.tools.translate import _

class res_partner(osv.osv):
    _inherit = "res.partner"

    def create(self, cr, uid, vals, context=None):
        self._validate_new_partner(cr, uid, vals, context)
        _id = super(res_partner, self).create(cr, uid, vals, context)
        return _id

    def _validate_new_partner(self, cr, uid, vals, context=None):
        if not context or not context.get('not_validate_new_partner', False):
            has_phone = False
            has_email = False
            if 'address' in vals:
                for address in vals['address']:
                    if address[2].get('phone', False) or address[2].get('mobile', False):
                        has_phone = True
                    if address[2].get('email', False):
                        has_email = True
            if not has_phone and not has_email:
                if 'dj_email' in vals:
                    # If 'django' module installed, the dj_email field
                    # is a valid email contact information
                    return True
                raise osv.except_osv(_('Error !'),
                        _('You must be specify an E-mail address or a Phone number !'))
            if not 'dj_email' in vals:
                num_partnes = self.search(cr, uid,
                        [('name','ilike',vals['name']),('active','=',True)], context=context, count=True)
                if num_partnes>0:
                    raise osv.except_osv(_('Error !'),
                        _('Another Partner exist with the name "%s" !') % vals['name'])
        return True

res_partner()
