# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Quotation Report
#    Copyright (C) 2014 Enterprise Objects Consulting
#                       http://www.eoconsulting.com.ar
#    Authors: Mariano Ruiz <mrsarm@gmail.com>
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

{
    "name": "Quotation Report",
    "version": "1.0.1",
    "depends": [ "sale" ],
    "author" : "Enterprise Objects Consulting",
    "website" : "http://www.eoconsulting.com.ar",
    "category": "Sales Management",
    "description": """
Replaces the *"Quotation / Order"* report for a better one,
and adds "Days validity" field which the quotation is regarded valid.

Also adds default values (optional) for the new field ("Days validity"),
and the "Note" field. To configure it, go to "Configuration Parameters",
and add the values with these keys:

* ``sale_order_default_days_validity``: Add the entry as *Integer* type.
* ``sale_order_default_note``: Add the entry as *Text* type.
""",
    'update_xml': [
            "sale_view.xml",
            "report/sale_report.xml",
        ],
    'installable': True,
    'active': False,
}
